Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CommonBasicBehaviors Class Reference

Creates and registers simple basic behaviors. More...

`#include <CommonBasicBehaviors.h>`

Inheritance diagram for CommonBasicBehaviors:

[legend]
Collaboration diagram for CommonBasicBehaviors:

[legend]
List of all members.

## Public Member Functions
| CommonBasicBehaviors (const BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
| Constructor.
void | registerBasicBehaviors (Xabsl2Engine &engine)
| Registers basic behaviors at the engine.
## Private Attributes
Xabsl2ErrorHandler & | errorHandler
| Is invoked when errors occurs.
Basic Behaviors
BasicBehaviorDoNothing | basicBehaviorDoNothing
BasicBehaviorPlayDead | basicBehaviorPlayDead
BasicBehaviorShutdown | basicBehaviorShutdown
BasicBehaviorSpecialAction | basicBehaviorSpecialAction
BasicBehaviorStand | basicBehaviorStand
BasicBehaviorWalk | basicBehaviorWalk

## Detailed Description

Creates and registers simple basic behaviors.

Definition at line 195 of file CommonBasicBehaviors.h.

## Constructor & Destructor Documentation

CommonBasicBehaviors::CommonBasicBehaviors | ( | const BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Constructor. Definition at line 201 of file CommonBasicBehaviors.h. References basicBehaviorDoNothing, basicBehaviorPlayDead, basicBehaviorShutdown, basicBehaviorSpecialAction, basicBehaviorStand, and basicBehaviorWalk.

## Member Function Documentation

void CommonBasicBehaviors::registerBasicBehaviors | ( | Xabsl2Engine & | engine | ) |

| Registers basic behaviors at the engine. Definition at line 14 of file CommonBasicBehaviors.cpp. References basicBehaviorDoNothing, basicBehaviorPlayDead, basicBehaviorShutdown, basicBehaviorSpecialAction, basicBehaviorStand, basicBehaviorWalk, and Xabsl2Engine::registerBasicBehavior(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2ErrorHandler& CommonBasicBehaviors::errorHandler`[private]`

| Is invoked when errors occurs. Definition at line 218 of file CommonBasicBehaviors.h.

BasicBehaviorDoNothing CommonBasicBehaviors::basicBehaviorDoNothing`[private]`

| Definition at line 222 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

BasicBehaviorPlayDead CommonBasicBehaviors::basicBehaviorPlayDead`[private]`

| Definition at line 223 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

BasicBehaviorShutdown CommonBasicBehaviors::basicBehaviorShutdown`[private]`

| Definition at line 224 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

BasicBehaviorSpecialAction CommonBasicBehaviors::basicBehaviorSpecialAction`[private]`

| Definition at line 225 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

BasicBehaviorStand CommonBasicBehaviors::basicBehaviorStand`[private]`

| Definition at line 226 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

BasicBehaviorWalk CommonBasicBehaviors::basicBehaviorWalk`[private]`

| Definition at line 227 of file CommonBasicBehaviors.h. Referenced by CommonBasicBehaviors(), and registerBasicBehaviors().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2BasicBehaviors/CommonBasicBehaviors.h
- Modules/BehaviorControl/CommonXabsl2BasicBehaviors/CommonBasicBehaviors.cpp